dracut-057-51.git20231115
Resolves: RHEL-14251
This commit is contained in:
parent
15a6a8179e
commit
e413d9d60f
55
0046.patch
Normal file
55
0046.patch
Normal file
@ -0,0 +1,55 @@
|
||||
From edd1efe46a6c211034f06ad1e20c027a5e1102db Mon Sep 17 00:00:00 2001
|
||||
From: Tomas Bzatek <tbzatek@redhat.com>
|
||||
Date: Thu, 21 Sep 2023 14:31:07 +0200
|
||||
Subject: [PATCH] fix(nvmf): move /etc/nvme/host{nqn,id} requirement to
|
||||
hostonly
|
||||
|
||||
When creating initramfs for universal boot image such as an installer,
|
||||
we can't include any machine-specific IDs. Let's move the check
|
||||
for /etc/nvme/hostnqn and /etc/nvme/hostid files presence to
|
||||
the hostonly section to avoid unsatisfied requirements.
|
||||
|
||||
Signed-off-by: Tomas Bzatek <tbzatek@redhat.com>
|
||||
|
||||
(Cherry-picked commit: 1cf10397b5f002790a096e5bdce733436fffbd2d
|
||||
PR: https://github.com/dracutdevs/dracut/pull/2523)
|
||||
|
||||
Resolves: RHEL-3630
|
||||
---
|
||||
modules.d/95nvmf/module-setup.sh | 8 ++++----
|
||||
1 file changed, 4 insertions(+), 4 deletions(-)
|
||||
|
||||
diff --git a/modules.d/95nvmf/module-setup.sh b/modules.d/95nvmf/module-setup.sh
|
||||
index 1dd2ca53..0b90d8be 100755
|
||||
--- a/modules.d/95nvmf/module-setup.sh
|
||||
+++ b/modules.d/95nvmf/module-setup.sh
|
||||
@@ -3,8 +3,6 @@
|
||||
# called by dracut
|
||||
check() {
|
||||
require_binaries nvme jq || return 1
|
||||
- [ -f /etc/nvme/hostnqn ] || return 255
|
||||
- [ -f /etc/nvme/hostid ] || return 255
|
||||
|
||||
is_nvmf() {
|
||||
local _dev=$1
|
||||
@@ -36,6 +34,8 @@ check() {
|
||||
}
|
||||
|
||||
[[ $hostonly ]] || [[ $mount_needs ]] && {
|
||||
+ [ -f /etc/nvme/hostnqn ] || return 255
|
||||
+ [ -f /etc/nvme/hostid ] || return 255
|
||||
pushd . > /dev/null
|
||||
for_each_host_dev_and_slaves is_nvmf
|
||||
local _is_nvmf=$?
|
||||
@@ -130,8 +130,8 @@ install() {
|
||||
_nvmf_args=$(cmdline)
|
||||
[[ "$_nvmf_args" ]] && printf "%s" "$_nvmf_args" >> "${initdir}/etc/cmdline.d/95nvmf-args.conf"
|
||||
fi
|
||||
- inst_simple "/etc/nvme/hostnqn"
|
||||
- inst_simple "/etc/nvme/hostid"
|
||||
+ inst_simple -H "/etc/nvme/hostnqn"
|
||||
+ inst_simple -H "/etc/nvme/hostid"
|
||||
|
||||
inst_multiple ip sed
|
||||
|
||||
|
@ -5,7 +5,7 @@
|
||||
# strip the automatically generated dep here and instead co-own the
|
||||
# directory.
|
||||
%global __requires_exclude pkg-config
|
||||
%define dist_free_release 51.git20231114
|
||||
%define dist_free_release 51.git20231115
|
||||
|
||||
Name: dracut
|
||||
Version: 057
|
||||
@ -74,6 +74,7 @@ Patch42: 0042.patch
|
||||
Patch43: 0043.patch
|
||||
Patch44: 0044.patch
|
||||
Patch45: 0045.patch
|
||||
Patch46: 0046.patch
|
||||
Patch47: 0047.patch
|
||||
Patch48: 0048.patch
|
||||
Patch49: 0049.patch
|
||||
@ -529,6 +530,9 @@ echo 'dracut_rescue_image="yes"' > $RPM_BUILD_ROOT%{dracutlibdir}/dracut.conf.d/
|
||||
%{_prefix}/lib/kernel/install.d/51-dracut-rescue.install
|
||||
|
||||
%changelog
|
||||
* Wed Nov 15 2023 Pavel Valena <pvalena@redhat.com> - 057-51.git20231115
|
||||
- fix(nvmf): move /etc/nvme/host{nqn,id} requirement to
|
||||
|
||||
* Tue Nov 14 2023 Pavel Valena <pvalena@redhat.com> - 057-51.git20231114
|
||||
- fix(dracut.sh): correct wrong systemd variable paths
|
||||
- fix(hwdb): follow shfmt-recommended format
|
||||
|
Loading…
Reference in New Issue
Block a user